Follow

Follow Trust Protection Platform 16.1 Server And Venafi Server Agent Compatibility Matrix

Trust Protection Platform 16.1 server and Venafi Server Agent compatibility matrix

Before upgrading your Trust Protection Platform server, review this information for important compatibility requirements between versions of Trust Protection Platform and versions of the Venafi Agent.

Agents that are greater than 9 versions behind your currently installed version of Trust Protection Platform are not supported.

example 
A 14.2 Agent can upgrade with Trust Protection Platform version 16.2; however, support for that 14.2 Agent is discontinued when you upgrade the Trust Protection Platform server to version 16.3.

In addition, certificate and SSH work defined for Agents that are greater than 5 versions behind your currently installed version of Trust Protection Platform may not be supported.

example 
A 15.1 Agent can perform SSH Discovery work against a 16.1 version of Trust Protection Platform. However, support for SSH Discovery work is discontinued when you upgrade Trust Protection Platform to version 16.2.

Refer to the following table for details.

Functionality available based on which versions of the Server Agent is used with Venafi Trust Protection Platform Server 16.1

 

Agent Versions

 

14.2

14.3

14.4

15.1

15.2

15.3

15.4

16.1

Connectivity

image001.png

image001.png

image001.png

image001.png

image001.png

image001.png

image001.png

image001.png

Device Placement

 

 

 

image001.png

image001.png

image001.png

image001.png

image001.png

Certificate Discovery

 

 

 

image001.png

image001.png

image001.png

image001.png

image001.png

Certificate Installation

 

 

 

 

 

 

image001.png

image001.png

SSH Key Discovery

 

 

 

 

image001.png

image001.png

image001.png

image001.png

SSH Key Installation

 

 

 

 

image001.png

image001.png

image001.png

image001.png

SSH Key Usage

 

 

 

 

 

 

image001.png

image001.png

Device Placement

 

 

 

image001.png

image001.png

image001.png

image001.png

image001.png

Agent Upgrade

 image001.png*

image001.png*

image001.png*

image001.png

image001.png

image001.png

image001.png

image001.png

* Agent upgrade is supported only if SSH work is not enabled on the Agent being upgraded.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk